//
//  ELSmartRingBleHeader.h
//  Elink
//
//  Created by 周鹏 on 2023/7/31.
//  Copyright © 2023 iot_iMac. All rights reserved.
//

#ifndef ELSmartRingBleHeader_h
#define ELSmartRingBleHeader_h


typedef NS_ENUM(UInt8, ELSmartRingCMD) {
    
    ELSmartRingCMDGetStatus_Type01 = 0x01, //0x01：Type：APP 获取设备状态
    
    ELSmartRingCMDSetCheck_Type02 = 0x02, //0x02：Type：设置体检模式
    
    ELSmartRingCMDCheckData_Type03 = 0x03, //0x03：Type：体检模式数据
//
    ELSmartRingCMDDetectionPeriod_Type04 = 0x04, //0x04：Type：P设置/获取日常检测周期
    
    ELSmartRingCMDReocrd_Type05 = 0x05,//  获取日常检测历史记录
    
    ELSmartRingCMDDeviceStatus_Type06 = 0x06,//   APP获取设备状态
    
    ELSmartRingCMDSetUnix_Type07 = 0x45,//   设置Unix时间
    
    ELSmartRingCMDSetAutoCheckOpen_Type08 = 0x09,//   /* 设置/获取日常检测周期开关 */

    ELSmartRingCMDGetJFInfo_Type09 = 0x08,//   /* 获取JF传感器信息 */

    ELSmartRingCMDSetRRI_Type010 = 0x0b,//   /* APP 设置定时监测rri 数量 */
    
    ELSmartRingCMDHaveRecord_Type011 = 0x0c,//   /* 设备产生历史记录提示 */
    
    ELSmartRingCMDSetSleepPeriod_Type12 = 0x10,//  /   /* 设置/获取睡眠步数周期 */
    
    ELSmartRingCMDGetSleepReocrd_Type13 = 0x11,//  获取睡眠/步数历史记录

    ELSmartRingCMDHaveSleepReocrd_Type14 = 0x12,// /* 设备产生睡眠/步数历史记录提示 */
   
    ELSmartRingCMDReceviceA7Reply_Type88 = 0x88,//   /* APP 收到任何 A7 指令，都需要返回一组确认指令 */
};




typedef NS_ENUM(UInt8, ELSmartRingCMDReocrd) {
    
   ELSmartRingCMDReocrd_Start = 0x00, //0x00:开始获取历史数据
    
    ELSmartRingCMDReocrd_Next = 0x01, //0x01:接收到一帧,请发下一帧
    
    ELSmartRingCMDReocrd_End = 0x02, //0x02:数据接收完毕
    
    ELSmartRingCMDReocrd_delete = 0x03, //0x03:删除历史记录
    
};

typedef NS_ENUM(UInt8, ELSmartRingDeviceStatus) {
    
    ELSmartRingDeviceStatus_failed = 0x00, //历史时间未就绪(未获取unix时间)
    
    ELSmartRingDeviceStatus_wait = 0x01, //历史时间正在处理中(已获取unix时间,在处理历史数据)
    
    ELSmartRingDeviceStatus_success = 0x02, //历史时间已就绪(此状态才可获取设备历史记录)
    
};

#endif /* ELSmartRingBleHeader_h */
